> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elemente.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get skill



## OpenAPI

````yaml get /api/v1/skills/{id}
openapi: 3.0.0
info:
  title: Elemente.ai APIS Documentation
  description: >-
    Elemente.AI is an innovative company specializing in artificial intelligence
    (AI) solutions for call centers. Its leading products include Voice to Voice
    AI agents, AI-powered call analysis, and AI-based chat systems, designed to
    enhance operational efficiency and the customer experience.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.elemente.ai
security: []
tags:
  - name: Calls
    description: Call related APIs
  - name: Agents
    description: Agents related APIs
  - name: Actions
    description: Actions allows your agent connect to external tools and systems.
  - name: Knowledgebase
    description: >-
      Train your agents on external knowledgebase sources like your companies
      data, privacy policy, term of service or even your product catalogue
  - name: Skills
    description: Add capabilities to your AI agents
paths:
  /api/v1/skills/{id}:
    get:
      tags:
        - skills
        - Skills
      summary: Get skill
      operationId: SkillController_getSkillById
      parameters:
        - name: id
          required: true
          in: path
          description: The id of the skill
          schema:
            type: string
      responses:
        '200':
          description: The requested Skill
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillType'
        '404':
          description: Agent not found
      security:
        - basic: []
components:
  schemas:
    SkillType:
      type: object
      properties:
        id:
          type: string
          description: The id of the skill
          example: 24f639fc-d319-45f3-8f57-106b88087c80
          nullable: true
        name:
          type: string
          description: The name of the skill
          example: Inbound Call
          nullable: true
        definition:
          type: string
          description: The skill Instruction
          example: >-
            Inform the user about his recent refund, stating that we are
            currently in the process of facilitating the refund
          nullable: true
        isInbound:
          type: boolean
          description: inbound
          example: 'true'
          nullable: true
        initialMessage:
          type: string
          description: initialMessage
          example: >-
            Hi, thank you for reaching out to Happy Customer. This is
            {{aiName}}. How may I help you today
          nullable: true
      required:
        - id
        - name
        - definition
        - isInbound
        - initialMessage
  securitySchemes:
    basic:
      type: http
      scheme: basic

````